
var callobj;
function $(objname){return document.getElementById(objname);}
// 注册审核
function UserState(ID){
	callobj = $("UserState" + ID);
	makeRequest("Inc/_Manage.Ajax.Asp?Act=userstate&ID=" + ID + "&Rand=" + Math.random(),"ReturnInnerHTML","get","");
}

// 到期时间修改框
function Endtime(ID){
	if($("EndtimeState" + ID).innerHTML==''){
		callobj = $("Endtime" + ID);
		makeRequest("Inc/_Manage.Ajax.Asp?Act=endtime&ID=" + ID + "&Rand=" + Math.random(),"ReturnInnerHTML","get","");
		$("EndtimeState" + ID).innerHTML='1';
	} else {
		EndtimeSave(ID,'','');
	}
}
// 到期时间保存框
function EndtimeSave(ID,ReVal,SaveIT){
	callobj = $("Endtime" + ID);
	makeRequest("Inc/_Manage.Ajax.Asp?Act=endtimeSave&ID=" + ID + "&SaveIT=" + escape(SaveIT) + "&oEndtime=" + escape(ReVal) + "&Rand=" + Math.random(),"ReturnInnerHTML","get","");
	$("EndtimeState" + ID).innerHTML=''; // 关闭修改框
}
// AJAX 响应
function ReturnInnerHTML(){
	if (http_request.readyState == 4) {
		if (http_request.status == 200){
			var vback=http_request.responseText.split('|');
			if(vback[0]=='False'){alert(vback[1]);}else{callobj.innerHTML=vback[1];}
		}
	}
}